### Method

# Gtk CellAreaforeach

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_foreach (
      GtkCellArea* area,
      GtkCellCallback callback,
      gpointer callback_data
    )

#### Description [src]

Calls `callback` for every `GtkCellRenderer` in `area`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`callback`

  Type: `GtkCellCallback`

  The `GtkCellCallback` to call.

`callback_data`

  Type: `gpointer`

  User provided data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.